Bug 979985 - Firefox is poinitng to proprietary java plugin under opensoure OSes
Firefox is poinitng to proprietary java plugin under opensoure OSes
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
rawhide
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-01 05:20 EDT by jiri vanek
Modified: 2016-07-20 07:23 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 16:19:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for this issue v1 (2.78 KB, patch)
2014-12-05 08:30 EST, jiri vanek
no flags Details | Diff

  None (edit)
Description jiri vanek 2013-07-01 05:20:33 EDT
When icedtea-web is outdated or not installed, firefox under fedora (and rhel) is pointing to proprietary jre with plugin as "download java-plugin" in case that applet is hit on page.

However under linux distros it should point to http://icedtea.classpath.org/wiki/IcedTea-Web (as homepage) and provide information that IcedTea-Web is the open source plugin and can be installed/updated from official repositories (via yum for red-hat based distros and whatever others have  - just note for case that this patch will go upstream)
Comment 1 Martin Stransky 2013-07-24 10:18:23 EDT
Can you provide us a reproduction steps?
Comment 2 jiri vanek 2013-07-24 13:45:50 EDT
Try to lunch some newer firefox on system without java (read java plugin == oracle plugin, icedtea-web or ibm plugin)

When page with applet is then hit then firefox offer to downlaod proprietary java. Imho this is wrong both on fedora and rhel.

yum install icedtea-web should be always the solution.
Comment 3 Martin Stransky 2013-07-25 03:07:59 EDT
Actually Firefox 22 points to:

https://support.mozilla.org/en-US/kb/use-java-plugin-to-view-interactive-content
http://www.mozilla.org/en-US/plugincheck/

It we want to fix it we need to implement our own plugin check service in Firefox.
Comment 4 jiri vanek 2013-07-25 04:29:33 EDT
Tahts wrong to. Cant' you just patch the output message?
Comment 5 jiri vanek 2013-07-25 04:31:36 EDT
Main reason why it si wrong is  this on page you linked:

"Installing or updating Java

See Java Plugin Install for Linux at oracle.com for help installing or updating Java on your Linux system. "



Clicking to "Java Plugin Install for Linux" leads to
http://www.oracle.com/technetwork/java/javase/manual-plugin-install-linux-136395.html which is most evil of all.

Users of fedora should see yum install/update java-1.7.0-openjdk+icedtea-web
Comment 6 Martin Stransky 2013-07-25 06:07:08 EDT
Which text would you like to change? On the mozilla webpage or some in Firefox? (I'm not sure which one).

I'm afraid there isn't a simple solution for that.

The much better solutions is a cooperation with PackageKit which will install the missing plugin.
Comment 7 jiri vanek 2013-07-25 06:18:05 EDT
Both will be best:)

I find the one in firefox more important. But it is personal opinion.

It is strange that the *text* in the window is so hard to fix. I would expect one line patch to some properties fiel would be enough for this.

Yah, the cooperation with package is good idea. I'm not so familiar with it, but I can imagine that packagekit offering unwanted plugin on every page with applet willbe really annoying.
Comment 8 jiri vanek 2013-07-26 08:47:47 EDT
Just note - if you are able to patch  "ix it we need to implement our own plugin check service" then button, which will install icedtea-web and silently reload firefox, would be even better solution and will move firefox to another level of user-linux experience
Comment 9 Fedora End Of Life 2013-09-16 10:19:51 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 10 jiri vanek 2013-11-12 08:13:07 EST
Any news on this?
Comment 11 Martin Stransky 2013-11-12 08:22:56 EST
Feel free to submit your patches here, I'll uplift them upstream.
Comment 12 jiri vanek 2014-12-04 10:52:50 EST
It is starting to be quite unhappy still replying people that firefox is advising them wrongly, and that they should install package "icedtea-web"

There is nothing to upstream, this is fedora/rhel rpm specific patch. And afaik one url to chnage inisde firefox.
Comment 13 jiri vanek 2014-12-05 08:30:41 EST
Created attachment 965098 [details]
patch for this issue v1

--- mozilla-release/toolkit/mozapps/plugins/content/pluginInstallerWizard.js
+++ mozilla-release/toolkit/mozapps/plugins/content/pluginInstallerWizard.js
@@ -315,6 +315,11 @@
                                                  xpiPlugins);
   else
     this.advancePage(null);
+}
+
+
+function endsWith(str, suffix) {
+    return str.indexOf(suffix, str.length - suffix.length) !== -1;
 }
 
 /*
@@ -405,6 +410,9 @@
 
   // manual install
   if (aManualUrl) {
+    if (endsWith(aManualUrl, "use-java-plugin-to-view-interactive-content")) {
+     aManualUrl="http://icedtea.classpath.org/wiki/IcedTea-Web_On_Fedora_And_Rhel"
+    }
     var myButton = document.createElement("button");
 
     var manualInstallLabel = this.getString("pluginInstallationSummary.manualInstall.label");
Comment 14 jiri vanek 2014-12-05 08:32:06 EST
So here you have patch. Not perfect but works.  Do you mind to include it to all live fedoras and do a build and update?

If you dont, please make me commaintainer and I will push on my own.
Comment 15 jiri vanek 2014-12-05 10:43:45 EST
Just note, the url is nowhere written, but comes wia web service. So ny negotiations with upstream are more then worthy. (Actually later probably necessary)
Comment 16 Martin Stransky 2014-12-05 11:02:16 EST
Thanks for the patch, I'll propagate it upstream and/or add to our package. I feel that the aManualUrl should be a prefenced value (not a hadcoded one) but it does not mattech much now.
Comment 17 Martin Stransky 2015-01-05 05:47:28 EST
Added to firefox-34.0-4.
Comment 18 Martin Stransky 2015-01-06 06:30:14 EST
New Firefox 35.0 does not ship the patched file - it may or may not be affected by this bug.
Comment 19 jiri vanek 2015-01-27 09:39:42 EST
Thanx for including patch. Considering that 34.0.4 never went to updates. Yah. Cool.

Also thanx for any attempts to upstream the patch(?  :-/). Do you gave any records of your attempts?

Yes in firefox 35,  it only writes "plugin is needed to display this context"

The removal of plugin finder is is intentional change, however i have not found official statement about it.


So the fix of this screen for java-plugin is the next step.
Comment 20 Martin Stransky 2015-01-27 09:51:03 EST
As you can see the NPAPI plugins are going to be removed from Firefox, which includes also the Java plugin so upstream is not going to accept any of those changes.
Comment 21 jiri vanek 2015-01-27 10:14:02 EST
Are going to be what?


If mozzila will remove NPAPI, then we have much more terrible issues  to deal with.  Where is the source of this Information?
Comment 22 Martin Stransky 2015-01-27 14:51:08 EST
Try Google. Some of the links:

http://www.sitepoint.com/google-mozilla-begin-browser-plugin-prohibition
https://github.com/shotgunsoftware/browser-plugin/issues/13
http://blog.chromium.org/2013/09/saying-goodbye-to-our-old-friend-npapi.html

Anyway, NPAPI is not going to be removed just tomorrow, rather it's going to be dying slowly. It's a legacy technology now with lots of issues and flash is the only reason why Mozilla supports that. But situation may change when project Shumway replaces flash in Mozilla.

So, NPAPI is just a zombie of former century. Any installation fixes may be done on Fedora side as I suggested in comment 6.
Comment 23 jiri vanek 2015-01-28 02:48:02 EST
Although I agree that npapi is zombie, I hope it will be supported at least for few years.
I really would like to see mozzila's  official statement - as they proclaimed (a year ago?) That they will never ever drop NPAPI. None of  those  afrom C#22 is official statement. 
Fact that google is cutting it down is known. I just hope the rest of world will use free will, and not just follow what they dictate.


I will look into f35 missing-plugin screen soon.
Comment 24 Jaroslav Reznik 2015-03-03 11:53:41 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 25 Fedora End Of Life 2016-07-19 16:19:39 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.